GNU bug report logs - #33697
26.1; file-truename messes with match data

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: kevin.legouguec@HIDDEN (Kévin Le Gouguec); merged with #31586; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33697 <at> debbugs.gnu.org:


Received: (at 33697) by debbugs.gnu.org; 6 May 2022 17:51:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 13:51:01 2022
Received: from localhost ([127.0.0.1]:49707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn26X-0000WU-6w
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 13:51:01 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:54389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1nn26V-0000W1-FV; Fri, 06 May 2022 13:51:00 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id A06FC1C0004;
 Fri,  6 May 2022 17:50:50 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33697: 26.1; file-truename messes with match data
Organization: LINKOV.NET
References: <m24liwoh02.fsf@HIDDEN> <87a6buin71.fsf@HIDDEN>
Date: Fri, 06 May 2022 20:49:19 +0300
In-Reply-To: <87a6buin71.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 06 May 2022 19:29:54 +0200")
Message-ID: <86tua2ft5s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33697
Cc: Philipp <p.stephani2@HIDDEN>, 33697 <at> debbugs.gnu.org,
 31586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> M-% a RET b RET
>>
>> The first time you attempt to replace something, Emacs will signal an
>> error:
>>
>> perform-replace: Args out of range: #<buffer *scratch*>, 0, 1
>>
>> Backtrace:
>>
>> Debugger entered--Lisp error: (args-out-of-range #<buffer *scratch*> 0 1)
>>   buffer-substring-no-properties(0 1)
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I can reproduce this in Emacs 26.1, but not in Emacs 28.1, so I guess
> this has been fixed in the years since it was reported, and I'm closing
> this bug report.  If you're still seeing the problem in recent Emacs
> versions, please respond to the debbugs address and we'll reopen.

This was fixed in bug#36328.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33697; Package emacs. Full text available.
bug closed, send any further explanations to 33697 <at> debbugs.gnu.org and kevin.legouguec@HIDDEN (Kévin Le Gouguec) Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33697 <at> debbugs.gnu.org:


Received: (at 33697) by debbugs.gnu.org; 6 May 2022 17:30:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 13:30:07 2022
Received: from localhost ([127.0.0.1]:49689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn1mJ-00064Q-1t
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 13:30:07 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nn1mG-00063H-82; Fri, 06 May 2022 13:30:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=T3qVAno5Fux2aCBvtUpK+Io9EIpflUswJYTYaJov418=; b=VceLydmQPq40qdLsXK7FXzxS2+
 i+HFQu73fyNdlWpnXT//mlLsOU4Tqt2OroTtkoCi17tuXt81jcwc1HYlW0ovSy20Fr7cZFOgMR1aw
 wvu4U8nczgYqx93N8JGY2luwc/FbJXA+TtEoMawhEYAJxGBGVDJsKF2fY/o+owK290N8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nn1m7-0000sd-HF; Fri, 06 May 2022 19:29:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#33697: 26.1; file-truename messes with match data
References: <m24liwoh02.fsf@HIDDEN>
X-Now-Playing: The Smiths's _Complete (5): The World Won't Listen_: "You
 Just Haven't Earned It Yet, Baby"
Date: Fri, 06 May 2022 19:29:54 +0200
In-Reply-To: <m24liwoh02.fsf@HIDDEN> (Philipp's message of "Thu, 24 May
 2018 23:55:57 +0200")
Message-ID: <87a6buin71.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp <p.stephani2@HIDDEN> writes: > emacs -Q -eval
 "(setq
 frame-title-format '(\"\" (:eval (string-match \".\" \"a\"))))" > > Then
 go to the first character in the scratch buffer (M-<), and run > > M-% a RET
 b RET > > The first time y [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33697
Cc: 33697 <at> debbugs.gnu.org, 31586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Philipp <p.stephani2@HIDDEN> writes:

> emacs -Q -eval "(setq frame-title-format '(\"\" (:eval (string-match \".\" \"a\"))))"
>
> Then go to the first character in the scratch buffer (M-<), and run
>
> M-% a RET b RET
>
> The first time you attempt to replace something, Emacs will signal an
> error:
>
> perform-replace: Args out of range: #<buffer *scratch*>, 0, 1
>
> Backtrace:
>
> Debugger entered--Lisp error: (args-out-of-range #<buffer *scratch*> 0 1)
>   buffer-substring-no-properties(0 1)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this in Emacs 26.1, but not in Emacs 28.1, so I guess
this has been fixed in the years since it was reported, and I'm closing
this bug report.  If you're still seeing the problem in recent Emacs
versions, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33697; Package emacs. Full text available.

Message received at 33697 <at> debbugs.gnu.org:


Received: (at 33697) by debbugs.gnu.org; 11 Dec 2018 19:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 14:59:57 2018
Received: from localhost ([127.0.0.1]:44208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWoCC-00064J-TN
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 14:59:57 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:39950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1gWoCA-000646-KO
 for 33697 <at> debbugs.gnu.org; Tue, 11 Dec 2018 14:59:55 -0500
Received: by mail-wr1-f42.google.com with SMTP id p4so15384796wrt.7
 for <33697 <at> debbugs.gnu.org>; Tue, 11 Dec 2018 11:59:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=EwON5KB1YYOCHFgOQhIwUEI9BETN9rva/lZF7IvncBc=;
 b=G5x3+QohCltWCcRvHYwPLp2GXgZhf1+/5v9IpHZNsUY4Ok++uo3yv9uUX0dm7tcmVL
 0vhXiiDOMKLB1lglmMkdF+BwtCvkOYB0nYIVdHRDyMVD0xjukDExgy20GWzMVFXwqOKa
 iHI61tkud629csKml5SMstBgr8QQdYyXuyVt72xCP1NjVoO9DJPCq47D9eNl1bTizRwc
 /EfPO1WKia5ejsSewDogzWJgwwyuVjKO6bngsuD26pUXw5cUUoFu9DDIdrUqizpmtxZx
 b3sc0OpJBI4RT1CxI5RsR56I0QOoap58mz1bgipVMUYjVzR5RgvvMzbsWAFbBFSuXdMh
 QyYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=EwON5KB1YYOCHFgOQhIwUEI9BETN9rva/lZF7IvncBc=;
 b=tXyW6VqShSdLxM709NRvDuF0Tmtz18GZ82mI4NfHEFwLDKUvrySX6P0aM5UGegiBtz
 U2s77GKnxbRluixET4+kx3JBBiz+h1FHFbDiSiPBzM9R0UgMX+LmxpH/yJvPpnnaA9i5
 7/HlrtflQKWFM5oHn0OJ6+Fs71nu3IdmXCUEiTuzpFlSwfxFCoaZQR/levKEdwp0WIRk
 Xxtr5wSQlCjv4TfBuJ//kJFaWG+0Vcqj/ZOrl+xfTiug+gqOx3ND25NxvmMnJu0Hd/+v
 kchaE7hztB/X0fjl1dKW6nZJWCf5jcC3NluEUCrtfM12FZ8Bg4z8V0Aja/t3DL73GZv/
 ONmA==
X-Gm-Message-State: AA+aEWbOXVvAlR+e1CHVOji1qekLrlNZmIlx92lStL++6cr2K4gmHfP4
 ChCi2JVoyCBrOdAFqUIxec+kcqPi
X-Google-Smtp-Source: AFSGD/UTO9oqWDLYnam4phlVmIaOpJgoD9lK21HdIckM/ipj+SW0k3wxGxKI7BynfNiXPaO4JslnvQ==
X-Received: by 2002:a05:6000:1189:: with SMTP id
 g9mr15843140wrx.221.1544558388072; 
 Tue, 11 Dec 2018 11:59:48 -0800 (PST)
Received: from my-little-tumbleweed (87-231-103-167.rev.numericable.fr.
 [87.231.103.167])
 by smtp.gmail.com with ESMTPSA id e142sm1297902wmf.46.2018.12.11.11.59.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 11 Dec 2018 11:59:47 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33697: 26.1; file-truename messes with match data
References: <87woohhz8u.fsf@HIDDEN> <83va401x2y.fsf@HIDDEN>
Date: Tue, 11 Dec 2018 20:59:44 +0100
In-Reply-To: <83va401x2y.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 11 Dec
 2018 06:55:33 +0200")
Message-ID: <87zhtbx2a7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33697
Cc: 33697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

My bad, I assumed this would be a no-brainer and did not bother to
search the bug database.  I will be more diligent next time.

I would argue that this is different, since my code does not explicitly
call string-match; however bug#31586 seems to consider the bigger
picture, so I guess it makes more sense to focus on that one.

Thank you for pointing me towards this discussion!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33697; Package emacs. Full text available.
Merged 31586 33697. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33697 <at> debbugs.gnu.org:


Received: (at 33697) by debbugs.gnu.org; 11 Dec 2018 04:56:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 23:56:00 2018
Received: from localhost ([127.0.0.1]:42615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWa5Q-0007Qp-3r
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 23:56:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gWa5O-0007QV-LG
 for 33697 <at> debbugs.gnu.org; Mon, 10 Dec 2018 23:55:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gWa5I-0008JI-Pq
 for 33697 <at> debbugs.gnu.org; Mon, 10 Dec 2018 23:55:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54841)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gWa5A-0008Do-7T; Mon, 10 Dec 2018 23:55:44 -0500
Received: from [176.228.60.248] (port=4404 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gWa59-0000hp-RK; Mon, 10 Dec 2018 23:55:44 -0500
Date: Tue, 11 Dec 2018 06:55:33 +0200
Message-Id: <83va401x2y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: kevin.legouguec@HIDDEN (=?utf-8?Q?K=C3=A9vin?= Le Gouguec)
In-reply-to: <87woohhz8u.fsf@HIDDEN> (kevin.legouguec@HIDDEN)
Subject: Re: bug#33697: 26.1; file-truename messes with match data
References: <87woohhz8u.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33697
Cc: 33697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

merge 33697 31586
thanks

> From: kevin.legouguec@HIDDEN (Kévin Le Gouguec)
> Date: Mon, 10 Dec 2018 22:02:09 +0100
> 
> I set frame-title-format so that it displays the basename of the current
> project's root folder for the active buffer.  However, my $HOME is under
> version control; I do not want this particular "project" to show up in
> the frame's title.
> 
> Here is the code that I use:
> 
>     (require 'subr-x)
> 
>     (defun my/project-name ()
>       (when-let* ((project (project-current))
>                   (root (car (project-roots project))))
>         (when (not (file-equal-p root "~"))
>           (file-name-nondirectory (string-trim-right root "/")))))
> 
>     (setq frame-title-format
>           '(:eval
>             (let ((project (my/project-name)))
>               (concat (when project (format "[%s] " project)) "%b"))))
> 
> After adding the above to my .emacs, I started experiencing weird
> failures with query-replace.  I managed to reproduce this with emacs -Q:
> 
> - evaluate the above
> - move to the beginning of *scratch*
> - M-% a RET b RET
> ⇒ perform-replace: Args out of range: #<buffer *scratch*>, 0, 2
>   (point has moved after the first match)

This is bug#31586, please see the discussions there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33697; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2018 21:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 16:02:30 2018
Received: from localhost ([127.0.0.1]:42191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWShC-0007uU-52
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:02:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1gWShA-0007uH-8s
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:02:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1gWSh3-0001TR-3e
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:02:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53085)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <kevin.legouguec@HIDDEN>)
 id 1gWSh3-0001TJ-0A
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:02:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42778)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1gWSh1-0004Lp-Au
 for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2018 16:02:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1gWSgx-0001RQ-Lh
 for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2018 16:02:19 -0500
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:46769)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <kevin.legouguec@HIDDEN>)
 id 1gWSgx-0001Qj-9Q
 for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2018 16:02:15 -0500
Received: by mail-wr1-x42a.google.com with SMTP id l9so11885369wrt.13
 for <bug-gnu-emacs@HIDDEN>; Mon, 10 Dec 2018 13:02:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=KgagDJgxTZj+DH/VqBxIxW5jp+hYwAmmKnkDn49dhmY=;
 b=COeof+N6vv1T3HBTJ9pu3sFpvAXICt35Vv1zf/2q6b3qmWWyIV9jyOqmgU8H7qRgLD
 CI3rbHCMDAX4aqALVeALFJIitKWMsR+gaAI2W5mBQJ+LlSUuldDYKwLXRW6NDeDSWVsV
 8cAVHuF8WEtfxgXGjX1dGG2nlzt9jRxq8AVZS3lIHu4Yxab7cWyhYmPqg8SXHlBA72oy
 otLAWlGrKYllwcldbKXss0nEeHvPt85NvJ8ZT+fgou5Ae2vMb/zX7t/R18QjythaGXd/
 GvEN0RMBDRdybdZBs2C7wzCjtsFvzKllNN0Owk8G2Yob2Djc0IakItZpTTppKjVi40Zs
 YmXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=KgagDJgxTZj+DH/VqBxIxW5jp+hYwAmmKnkDn49dhmY=;
 b=T5JElue/B7r8VElpd3e4y0EmgrSZYjeaT7hYU22TnLXwnbiFhywVCmlc45O+Xi38vb
 Q1EcmzJH6Rb+hzXaA37dd4DI+xzxoMYAYMhf82vw2Iz2sD36zbuqvsuotGkxlEXdjazn
 cUzivzO2xrbqEunW0G12GbyEUnfodxAAou3OBIoxOtUSGYQJu40JxuvwP+tJ9D+YkPG2
 L+E/qjStpL+m8FNEGyyMeBatGNVs/bLG01ewHaH3249UTV/2rzn4h8Ned1j9HAPVkL/r
 IMRT0Mys+/RlkWmbpcDQpS6JQYhH+yu99A0xNb6nQd4g2md2fYqMD/pVF9F5NgKWAp5Q
 gs+w==
X-Gm-Message-State: AA+aEWbhsVxxplBuZgNwsdlfadmrUZcBjJZoHrc0SyVkRk+aooWix0IV
 0dGdcUwPpQHD7JQqOAuFDfE5TLdg
X-Google-Smtp-Source: AFSGD/U8zPhaSM87sL0zzsORoA/NIuYiAB6sVKdKo7/fYPWHW1lT85jWnKU+m8O9l9ubaFQ/E5acBQ==
X-Received: by 2002:adf:e5c4:: with SMTP id a4mr10527414wrn.157.1544475732945; 
 Mon, 10 Dec 2018 13:02:12 -0800 (PST)
Received: from my-little-tumbleweed (87-231-103-167.rev.numericable.fr.
 [87.231.103.167])
 by smtp.gmail.com with ESMTPSA id k15sm9948203wru.8.2018.12.10.13.02.11
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 10 Dec 2018 13:02:12 -0800 (PST)
From: kevin.legouguec@HIDDEN (=?utf-8?Q?K=C3=A9vin?= Le Gouguec)
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; file-truename messes with match data
Date: Mon, 10 Dec 2018 22:02:09 +0100
Message-ID: <87woohhz8u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

I set frame-title-format so that it displays the basename of the current
project's root folder for the active buffer.  However, my $HOME is under
version control; I do not want this particular "project" to show up in
the frame's title.

Here is the code that I use:

    (require 'subr-x)

    (defun my/project-name ()
      (when-let* ((project (project-current))
                  (root (car (project-roots project))))
        (when (not (file-equal-p root "~"))
          (file-name-nondirectory (string-trim-right root "/")))))

    (setq frame-title-format
          '(:eval
            (let ((project (my/project-name)))
              (concat (when project (format "[%s] " project)) "%b"))))

After adding the above to my .emacs, I started experiencing weird
failures with query-replace.  I managed to reproduce this with emacs -Q:

- evaluate the above
- move to the beginning of *scratch*
- M-% a RET b RET
=E2=87=92 perform-replace: Args out of range: #<buffer *scratch*>, 0, 2
  (point has moved after the first match)

I dug a bit and file-equal-p calls file-truename, whose first (cond =E2=80=
=A6)
ends up calling string-match.  Although I did not delve much longer and
could be wrong, I imagine that query-replace finds the first match,
moves point to it, leaves the minibuffer; this causes frame-title-format
to be evaluated; file-equal-p calls file-truename, the global match data
is updated, then perform-replace gets confused about what to do.

Wrapping the (cond =E2=80=A6) with (save-match-data =E2=80=A6) solves the i=
ssue for me
(as does wrapping my/project-name).  I do not know if this is the
preferred way to address this; I do not even know if this is a "bug" (as
in, nobody said file-equal-p does *not* modify match data).


Thank you for your time.



In GNU Emacs 26.1 (build 1, x86_64-suse-linux-gnu, X toolkit, Xaw3d scroll =
bars)
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
Recent messages:
Loading /home/peniblec/.emacs-custom.el (source)...
Loading diff-hl-flydiff...done
Loading elec-pair...done
Loading page-break-lines...done
Loading icomplete...done
Loading mb-depth...done
Loading /home/peniblec/.emacs-custom.el (source)...done
Global key bindings for =E2=80=98rg=E2=80=99 enabled with prefix: C-c s
Loading quail/latin-ltx...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --disable-build-details --without-pop --with-mailutils
 --without-hesiod --with-gameuser=3D:games --with-kerberos
 --with-kerberos5 --with-file-notification=3Dinotify --with-modules
 --enable-autodepend --prefix=3D/usr --mandir=3D/usr/share/man
 --infodir=3D/usr/share/info --datadir=3D/usr/share --localstatedir=3D/var
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --enable-locallisppath=3D/usr/share/emacs/26.1/site-lisp:/usr/share/emacs/=
site-lisp
 --with-x --with-xim --with-sound --with-xpm --with-jpeg --with-tiff
 --with-gif --with-png --with-rsvg --with-dbus --with-xft --without-gpm
 --with-x-toolkit=3Dlucid --with-toolkit-scroll-bars
 --x-includes=3D/usr/include --x-libraries=3D/usr/lib64:/usr/share/X11
 --without-libotf --without-m17n-flt --build=3Dx86_64-suse-linux
 'CFLAGS=3D-O2 -Wall -D_FORTIFY_SOURCE=3D2 -fstack-protector-strong
 -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection
 -g -D_GNU_SOURCE -DGDK_DISABLE_DEPRECATION_WARNINGS
 -DGLIB_DISABLE_DEPRECATION_WARNINGS -pipe -Wno-pointer-sign
 -Wno-unused-variable -Wno-unused-label -fno-optimize-sibling-calls
 -fno-PIE -DSYSTEM_PURESIZE_EXTRA=3D55000 -DSITELOAD_PURESIZE_EXTRA=3D10000
 ' LDFLAGS=3D-Wl,-O2'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS
LUCID X11 MODULES THREADS LIBSYSTEMD

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dlocal
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  minibuffer-depth-indicate-mode: t
  icomplete-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  electric-pair-mode: t
  diff-hl-flydiff-mode: t
  global-diff-hl-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/peniblec/.emacs.d/elpa/soap-client-3.1.5/soap-inspect hides /usr/shar=
e/emacs/26.1/lisp/net/soap-inspect
/home/peniblec/.emacs.d/elpa/soap-client-3.1.5/soap-client hides /usr/share=
/emacs/26.1/lisp/net/soap-client

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils vc-git vc-bzr vc-src vc-sccs vc-svn vc-cvs
vc-rcs project delight advice eighters-theme quail cl-extra help-mode rg
rg-ibuffer rg-result wgrep-rg wgrep s rg-header rg-compat subr-x
ibuf-ext ibuffer ibuffer-loaddefs grep compile comint ansi-color ring
edmacro kmacro disp-table mb-depth icomplete page-break-lines elec-pair
diff-hl-flydiff diff diff-hl vc-dir ewoc vc vc-dispatcher diff-mode
easy-mmode cus-start pcase cus-load finder-inf info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib paren ispell time-date mule-util
delsel lpr tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 174446 11163)
 (symbols 48 27255 1)
 (miscs 40 122 131)
 (strings 32 52826 2044)
 (string-bytes 1 1447365)
 (vectors 16 26324)
 (vector-slots 8 633140 10178)
 (floats 8 76 334)
 (intervals 56 323 0)
 (buffers 992 12))




Acknowledgement sent to kevin.legouguec@HIDDEN (Kévin Le Gouguec):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33697; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 6 May 2022 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.